VDB_RENDER(1)

NAME
vdb_render - ray-traces OpenVDB volumes

SYNOPSIS
vdb_render in.vdb out.{exr,ppm} [options]

DESCRIPTION
Which: ray-traces OpenVDB volumes Options:

-aperture F
    perspective camera aperture in mm (default: 41.2)

-camera S
    camera type; either "persp[ective]" or "ortho[graphic]" (default: perspective)

-compression S
    EXR compression scheme; either "none" (uncompressed), "rle" or "zip" (default: zip)

-cpus N
    number of rendering threads, or 1 to disable threading, or 0 to use all available CPUs (default: 0)

-far F
    camera far plane depth (default: 3.4e+38)

-focal F
    perspective camera focal length in mm (default: 50)

-fov F
    perspective camera field of view in degrees (default: 44.8)

-frame F
    ortho camera frame width in world units (default: 1)

-lookat X,Y,Z
    rotate the camera to point to (X, Y, Z)

-name S
    name of the volume to be rendered (default: render the first floating-point volume found in in.vdb)

-near F
    camera near plane depth (default: 0.001)

-res WxH
    image dimensions in pixels (default: 1920x1080)

-r X,Y,Z

-rotate X,Y,Z
    camera rotation in degrees (default: look at the center of the volume)

-t X,Y,Z

-translate X,Y,Z
    camera translation

-up X,Y,Z
    vector that should point up after rotation with -lookat (default: [0, 1, 0])

-v  verbose (print timing and diagnostics)

-version
    print version information and exit

-h, -help
    print this usage message and exit

  Level set options:

-color S
    name of a vec3s volume to be used to set material colors

-isovalue F
    isovalue in world units for level set ray intersection (default: 0)

-samples N
    number of samples (rays) per pixel (default: 1)

-shader S
    shader name; either "diffuse", "matte", "normal" or "position" (default: diffuse)

  Dense volume options:

-absorb R,G,B
    absorption coefficients (default: [0.1, 0.1, 0.1])

-cutoff F
    density and transmittance cutoff value (default: 0.005)

-gain F
    amount of scatter along the shadow ray (default: 0.2)

-light X,Y,Z[,R,G,B]
    light source direction and optional color (default: [0.3, 0.3, 0, 0.7, 0.7, 0.7])

-scatter R,G,B
    scattering coefficients (default: [1.5, 1.5, 1.5])

-shadowstep F
    step size in voxels for integration along the shadow ray (default: 3)

-step F
    step size in voxels for integration along the primary ray (default: 1)

EXAMPLES

    vdb_render crawler.vdb crawler.exr -shader diffuse -res 1920x1080 \

-focal 35 -samples 4 -translate 0,210.5,400 -compression rle -v

    vdb_render bunny_cloud.vdb bunny_cloud.exr -res 1920x1080 \

-translate 0,0,110 -absorb 0.4,0.2,0.1 -gain 0.2 -v

  Warning:

    This is not (and is not intended to be) a production-quality renderer. Use it for fast previewing or simply as a reference implementation for integration into existing ray tracers.

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system (but may be used by others).